Loading...
Searching...
No Matches
BALL::MolecularDynamics::Option Struct Reference

`#include <BALL/MOLMEC/MDSIMULATION/molecularDynamics.h>`

## Static Public Attributes

static const char * | MAXIMAL_NUMBER_OF_ITERATIONS
static const char * | MAXIMAL_SIMULATION_TIME
static const char * | NUMBER_OF_ITERATION
static const char * | ENERGY_OUTPUT_FREQUENCY
static const char * | SNAPSHOT_FREQUENCY
static const char * | TIME_STEP
static const char * | REFERENCE_TEMPERATURE
static const char * | BATH_RELAXATION_TIME
static const char * | CURRENT_TIME

## Detailed Description

Local classes for option names and default option values for all MD(sub)classes.

Definition at line 49 of file molecularDynamics.h.

## Member Data Documentation

## BATH_RELAXATION_TIME

const char* BALL::MolecularDynamics::Option::BATH_RELAXATION_TIME

static

The parameter for heat bath coupling in picoseconds. It should be greater than 0.1 ps.

Definition at line 84 of file molecularDynamics.h.

## CURRENT_TIME

const char* BALL::MolecularDynamics::Option::CURRENT_TIME

static

The current time of the simulation in picoseconds

Definition at line 88 of file molecularDynamics.h.

## ENERGY_OUTPUT_FREQUENCY

const char* BALL::MolecularDynamics::Option::ENERGY_OUTPUT_FREQUENCY

static

After how many iterations shall energy information be saved

Definition at line 67 of file molecularDynamics.h.

## MAXIMAL_NUMBER_OF_ITERATIONS

const char* BALL::MolecularDynamics::Option::MAXIMAL_NUMBER_OF_ITERATIONS

static

The maximal number of iterations to be carried out

Definition at line 54 of file molecularDynamics.h.

## MAXIMAL_SIMULATION_TIME

const char* BALL::MolecularDynamics::Option::MAXIMAL_SIMULATION_TIME

static

The maximal simulation time in ps(equivalent to MAXIMAL_NUMBER_OF_ITERATIONS

Definition at line 59 of file molecularDynamics.h.

## NUMBER_OF_ITERATION

const char* BALL::MolecularDynamics::Option::NUMBER_OF_ITERATION

static

The current number of iteration

Definition at line 63 of file molecularDynamics.h.

## REFERENCE_TEMPERATURE

const char* BALL::MolecularDynamics::Option::REFERENCE_TEMPERATURE

static

The reference temperature in Kelvin

Definition at line 79 of file molecularDynamics.h.

## SNAPSHOT_FREQUENCY

const char* BALL::MolecularDynamics::Option::SNAPSHOT_FREQUENCY

static

After how many iterations shall a snapshot of the system be taken

Definition at line 71 of file molecularDynamics.h.

## TIME_STEP

const char* BALL::MolecularDynamics::Option::TIME_STEP

static

The time step in picoseconds

Definition at line 75 of file molecularDynamics.h.